## xfonts-nexus 0.0.2

=== Makefile ===
PACKAGE=xfonts-nexus
VERSION=0.0.2

SUBDIRS = debian

ALIAS = nex6x10.alias
BDF = nex6x10.bdf
PCF = nex6x10.pcf

FONTDIR = /usr/X11R6/lib/X11/fonts/misc
ALIASDIR = /etc/X11/fonts/misc

EXTRA_DIST = \
AUTHORS \
COPYING \
Makefile \
nexus.spec \
nex6x10.alias $(BDF) $(ALIAS)

all: font-clean
	bdftopcf $(BDF) > $(PCF)
	gzip --best $(PCF)
	
font-clean:
	rm -f $(PCF) $(PCF).gz
	
clean: font-clean
	rm -f build-stamp
	for i in $(SUBDIRS); do \
		make -C $$i clean; \
	done

install: all
	test -d "$(DESTDIR)/$(FONTDIR)/" || mkdir -p "$(DESTDIR)/$(FONTDIR)/"
	install -c -m 644 $(PCF).gz "$(DESTDIR)/$(FONTDIR)/"
	test -d "$(DESTDIR)/$(ALIASDIR)/" || mkdir -p "$(DESTDIR)/$(ALIASDIR)/"
	install -c -m 644 $(ALIAS) "$(DESTDIR)/$(ALIASDIR)/"
	(cd "$(DESTDIR)/$(FONTDIR)" && mkfontdir )
	@echo ""
	@echo "If you are running the xfont server you should restart it"
	@echo "Regardless, you should run \"xset fp rehash\" as the user"
	@echo "who is running the session."
	@echo "You can verify that this all worked by running:"
	@echo "xlsfonts | fgrep nexus"

uninstall:
	rm -f "$(DESTDIR)/$(FONTDIR)/$(PCF).gz"
	rm -f "$(DESTDIR)/$(ALIASDIR)/$(ALIAS) "
	(cd "$(DESTDIR)/$(FONTDIR)" && mkfontdir )
	@echo ""
	@echo "If you are running the xfont server you should restart it"
	@echo "Regardless, you should run \"xset fp rehash\" as the user"
	@echo "who is running the session."
	@echo "You can verify that this all worked by running:"
	@echo "xlsfonts | fgrep nexus"

distclean-1:
	rm -rf "$(PACKAGE)-$(VERSION)/" "$(PACKAGE)-$(VERSION).tar" \
		"$(PACKAGE)-$(VERSION).tar.gz"

distclean: distclean-1 clean

dist: distclean-1
	mkdir "$(PACKAGE)-$(VERSION)/"
	cp $(EXTRA_DIST) "$(PACKAGE)-$(VERSION)/"
	for i in $(SUBDIRS); do \
		DISTDIR="../$(PACKAGE)-$(VERSION)/$$i" make -C $$i dist; \
	done
	tar -cf "$(PACKAGE)-$(VERSION).tar" "$(PACKAGE)-$(VERSION)/"
	gzip --best "$(PACKAGE)-$(VERSION).tar"
	rm -rf "$(PACKAGE)-$(VERSION)/"

distcheck: dist
	tar -zxf "$(PACKAGE)-$(VERSION).tar.gz"
	mkdir "$(PACKAGE)-$(VERSION)/.build/"
	(cd "$(PACKAGE)-$(VERSION)/.build/" ;\
		DESTDIR="$(PWD)/../.done/" make -C ../ distclean all install)
	rm -r "$(PACKAGE)-$(VERSION)/"
	@echo "############################################################"
	@echo "# $(PACKAGE)-$(VERSION).tar.gz is ready for distribution"
	@echo "############################################################"

## xfonts-nexus 0.0.1-5

=== debian/changelog ===
xfonts-nexus (0.0.1-5) unstable; urgency=low

  * Changed name to xfonts-nexus. closes: Bug#133532
  * Rewrote description. closes: Bug#97903
  * Changed architecture back to any as it has a build dependancy on
    on deb-helper which is architecture specific

 -- Simon Horman <horms@vergenet.net>  Fri,  8 Mar 2002 16:17:32 +1100

xfont-nexus (0.0.1-3) unstable; urgency=low

  * Changed architecture from any to all. closes: Bug#109848 closes: Bug#97907

 -- Simon Horman <horms@vergenet.net>  Fri, 31 Aug 2001 13:52:39 +1000

xfont-nexus (0.0.1-2) unstable; urgency=low

  * Fixed problems with refering to doc/perdition instead of
    doc/nexus-font. closes: Bug#109552

 -- Simon Horman <horms@vergenet.net>  Wed, 22 Aug 2001 15:37:05 +1000

xfont-nexus (0.0.1-1) unstable; urgency=low

  * A release.

 -- Simon Horman <horms@vergenet.net>  Sat, 05 May 2001 13:42:16 -0700

Local variables:
mode: debian-changelog
End:
eoch

=== debian/control ===
Source: xfonts-nexus
Build-Depends: debhelper
Section: x11
Priority: optional
Maintainer: Simon Horman <horms@vergenet.net>
Standards-Version: 3.5.2

Package: xfonts-nexus
Architecture: any
Depends: xbase-clients
Replaces: xfont-nexus
Provides: xfont-nexus
Conflicts: xfont-nexus
Description: Nexus font for X servers
 A lot or people have asked for a better description of the nexus font.
 Unfortunately I don't know much about fonts, and none of these people
 have seen fit to contribute a description. Please don't file another bug
 relating to this, without supplying a description. What I can tell you
 is that it is primarily intended for use in a terminal, for people who
 like small fonts. It is sans-serief, has bold and versions. It only has 
 a 10 point version and provides the ASCII and ANSI character sets. 
 It is a PCF format font.

## xfonts-nexus 0.0.2

=== debian/changelog ===
xfonts-nexus (0.0.2-19) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 3.9.6 to 4.7.0.
  * Use wrap-and-sort -at for debian control files.
  * Trim trailing whitespace.
  * debian/rules: Use dh_prep rather than "dh_clean -k".
  * Bump debhelper from deprecated 7 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set Multi-Arch: foreign on package xfonts-nexus.
  * Remove empty maintainer scripts: xfonts-nexus (postrm),
    xfonts-nexus (postinst)

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 08 Nov 2024 20:15:16 +0100

xfonts-nexus (0.0.2-18) unstable; urgency=medium

  * QA upload
  * Convert to source format 3.0
  * Update debhelper compat to 7 (Closes: #965892)

 -- Bastian Germann <bage@debian.org>  Tue, 16 May 2023 19:12:39 +0200

xfonts-nexus (0.0.2-17.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sat, 02 Jan 2021 16:47:01 +0100

xfonts-nexus (0.0.2-17) unstable; urgency=medium

  * Correct spelling of width in package description
    (closes: #730285)
  * Make build reproducible
    (closes:  #778226)
  * Added homepage field to debian/control
    (closes: #594035)
  * Update standards version from v3.9.1 to v3.9.6
  * Add missing recommended targets to debian/rules
    See: https://lintian.debian.org/tags/debian-rules-missing-recommended-target.html

 -- Simon Horman <horms@debian.org>  Sat, 13 Jun 2015 10:49:25 +0900

xfonts-nexus (0.0.2-16) unstable; urgency=low

  * Remove spurious commands from postinst and postrm,
    dh_installxfonts adds everything that is needed.
    (closes: #591864)
  * Include license directly in copyright file
    See: http://lintian.debian.org/tags/copyright-refers-to-deprecated-bsd-license-file.html
  * Update standards version from 3.8.4 to 3.9.1

 -- Simon Horman <horms@debian.org>  Fri, 06 Aug 2010 11:52:20 +0900

xfonts-nexus (0.0.2-15) unstable; urgency=low

  * Replace build-indep dependency on obsolte xutils package with
    a build-indep dependency on xfonts-utils: (closes: #579029)
  * Update standards version from 3.7.3 to 3.8.4
  * debhelper should be a build dependency rather than a build-indep
    dependency as it is needed by the clean target.
    http://lintian.debian.org/tags/clean-should-be-satisfied-by-build-depends.html
  * Include copyright notice in copyright file
    http://lintian.debian.org/tags/copyright-without-copyright-notice.html
  * Update download information in copyright file
  * Run commands in binary-indep rather than binary-arch
    as package is architecture independent
    http://lintian.debian.org/tags/binary-arch-rules-but-pkg-is-arch-indep.html
  * Update debhelper compatibility level from 4 to 6
    http://lintian.debian.org/tags/package-uses-deprecated-debhelper-compat-version.html
  * Install fonts into /usr/share/fonts/X11
    instead of /usr/X11R6/lib/X11/fonts/
    http://lintian.debian.org/tags/package-installs-file-to-usr-x11r6.html
  * Don't ignore errors in postrm and postinst scripts
    http://lintian.debian.org/maintainer-script-ignores-errors.html

 -- Simon Horman <horms@debian.org>  Fri, 30 Apr 2010 15:33:40 +0900

xfonts-nexus (0.0.2-14) unstable; urgency=low

  * Update standards version from 3.6.2 to 3.7.3
  * Remove ancient transitional package xfont-nexus (closes: #477546)

 -- Simon Horman <horms@debian.org>  Thu, 24 Apr 2008 11:30:40 +1000

xfonts-nexus (0.0.2-13) unstable; urgency=low

  * Removed uneeded postrm and postinst
    (Also, moving to the 13th floor the week after next)

 -- Simon Horman <horms@debian.org>  Thu,  4 May 2006 09:41:02 +0900

xfonts-nexus (0.0.2-12) unstable; urgency=low

  * Resolved problem with paths in invocation of mkfontdir in postinst
    (closes: #362969)
  * Remove unneeded debian/xfonts-nexus.conffiles that crept in
    at some stage
  * Removed unneded debian/xfonts-nexus.dirs

 -- Simon Horman <horms@debian.org>  Mon, 17 Apr 2006 11:00:29 +0900

xfonts-nexus (0.0.2-11) unstable; urgency=low

  * Place fonts in /usr/share/fonts/X11 instead of /usr/X11R6/lib/X11/fonts
    - Modify top-level makefile to allow the font and alias directory
      to be specified at build-time
    - Update versioned build-dependancy on debhelper from 4.0.0 to 5.0.29
    - Depend on the new xfonts-utils package
      + Call dh_installxfonts
      + depend on ${misc:Depend}
    (closes: #362393)
  * Remove seeminly unneeded dependancy on xbase-clients
  * Add /etc/X11/fonts/misc/nex6x10.alias to conffiles, as its in /etc

 -- Simon Horman <horms@debian.org>  Fri, 14 Apr 2006 09:53:05 +0900

xfonts-nexus (0.0.2-10) unstable; urgency=low

  * Yet another take at getting rid of xfont-nexus:
    Create a transitional packagae built by this source.
    That is a package which contains no files and depends on xfonts-nexus.
    Then make xfonts-nexus provide and replace xfont-nexus,
    but not conflict with it.
    (closes: #341025)
  * Update to standards version 3.6.2
  * Add versioned dependancy on utils (>> 4.0.3) as per
    policy manual 11.8.5

 -- Simon Horman <horms@debian.org>  Tue, 14 Feb 2006 11:41:57 +0900

xfonts-nexus (0.0.2-9) unstable; urgency=low

  * Add Replaces, Conflicts and Provides xfont-nexus as per
    section 7.5.2 of the policy manual.
    (closes: Bug#270892)

 -- Simon Horman <horms@debian.org>  Fri, 10 Sep 2004 11:03:14 +0900

xfonts-nexus (0.0.2-8) unstable; urgency=low

  * Re-releasing 0.0.2-7.1 as the maintainer. Thanks Andreas.
    (closes: Bug#238832)
  * Use debhelper 4
  * Upload as a non-native package

 -- Simon Horman <horms@debian.org>  Wed, 19 May 2004 21:20:58 +0900

xfonts-nexus (0.0.2-7.1) unstable; urgency=low

  * NMU during BSP.
  * does neither provide nor conflict with itself. Closes: #238832



=== debian/control ===
Source: xfonts-nexus
Build-Depends-Indep: xfonts-utils,
Build-Depends: debhelper-compat (= 12)
Section: x11
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 4.7.0
Homepage: http://enlightenment.org/
Vcs-Browser: https://salsa.debian.org/debian/xfonts-nexus
Vcs-Git: https://salsa.debian.org/debian/xfonts-nexus.git

Package: xfonts-nexus
Architecture: all
Depends: ${misc:Depends},
Provides: xfont-nexus,
Replaces: xfont-nexus,
Multi-Arch: foreign
Description: Nexus font for X
 A sans-serif, fixed width font with iso8859 encoding.
 Only available as 10 point with medium weight.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

pwd:=$(shell pwd)

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	make clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	DESTDIR="$(pwd)/debian/tmp" FONTDIR="/usr/share/fonts/X11/misc" \
		ALIASDIR="/etc/X11/fonts/misc" GZIP="-9n" make install

	dh_movefiles --source=debian/tmp

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs
	dh_installxfonts
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
